## ESourceTaskList ESourceTaskList — ESource extension for a task list |

## Types and Values

#define | E_SOURCE_EXTENSION_TASK_LIST
struct | ESourceTaskList
struct | ESourceTaskListClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceCalendar extension identifies the ESource as a task list.

Access the extension as follows:

    1
    2
    3
    4
    5
    #include <libedataserver/libedataserver.h>

    ESourceCalendar *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_TASK_LIST);

## Functions

## Types and Values

### E_SOURCE_EXTENSION_TASK_LIST

    #define E_SOURCE_EXTENSION_TASK_LIST "Task List"

Pass this extension name to `e_source_get_extension()` to access ESourceTaskList. This is also used as a group name in key files.

Since 3.6

### struct ESourceTaskList

    struct ESourceTaskList {
    	ESourceSelectable parent;
    	ESourceTaskListPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since 3.6

### struct ESourceTaskListClass

    struct ESourceTaskListClass {
    	ESourceSelectableClass parent_class;
    };